org.eclipse.eef.ide.ui.api.widgets

## Class EEFTableSelectionListener

- java.lang.Object
- - org.eclipse.eef.ide.ui.api.widgets.EEFTableSelectionListener

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.swt.events.SelectionListener, org.eclipse.swt.internal.SWTEventListener

    public class EEFTableSelectionListener
    extends java.lang.Object
    implements org.eclipse.swt.events.SelectionListener

This class is used to call the controller once the end user click on the table.

### Constructor Summary

Constructors
Constructor and Description
`EEFTableSelectionListener(IEEFOnClickController controller)` The constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent event)`
`void` `widgetSelected(org.eclipse.swt.events.SelectionEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFTableSelectionListener

    public EEFTableSelectionListener(IEEFOnClickController controller)

The constructor.

Parameters:
  `controller` - The controller

### Method Detail

#### widgetSelected

    public void widgetSelected(org.eclipse.swt.events.SelectionEvent event)

Specified by:
  `widgetSelected` in interface `org.eclipse.swt.events.SelectionListener`
See Also:
  `SelectionListener.widgetSelected(org.eclipse.swt.events.SelectionEvent)`

#### widgetDefaultSelected

    public void widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent event)

Specified by:
  `widgetDefaultSelected` in interface `org.eclipse.swt.events.SelectionListener`
See Also:
  `SelectionListener.widgetDefaultSelected(org.eclipse.swt.events.SelectionEvent)`